GNU bug report logs - #44564
27.1; C-n in macros causes long delays

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ted Lavarias <ted.lavarias@HIDDEN>; dated Wed, 11 Nov 2020 01:06:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44564 <at> debbugs.gnu.org:


Received: (at 44564) by debbugs.gnu.org; 11 Nov 2020 10:09:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 05:09:26 2020
Received: from localhost ([127.0.0.1]:40309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcn4A-0002fb-21
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 05:09:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kcn47-0002fL-Uj
 for 44564 <at> debbugs.gnu.org; Wed, 11 Nov 2020 05:09:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=D53Th/OwardWKfP3ukeeN0WjF2oagxiWILeXZ7tI+Q8=; b=eB2FhNT3EdZdhgh04RaDlx7cPr
 I3FUTNwpB69/Cjxe0QYuUvLCdOvBG7/QN4hqXiNkpEU0RqC8t3H8jQocTRu97qhX8OzFdbbLzYWgW
 6EuG4KDE1GCALqlLLaXhX2bTsE3XfPmwZZTiUNVCk7C+HwYcOKdZ1mRse4k8IH7Ui8gc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kcn3z-0000ET-8f; Wed, 11 Nov 2020 11:09:17 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ted Lavarias <ted.lavarias@HIDDEN>
Subject: Re: bug#44564: 27.1; C-n in macros causes long delays
References: <CAG60mrT5QhUcpgHfibt4PpWPANkr=sYWOqBt=9fL8jxHznhT4w@HIDDEN>
X-Now-Playing: Nils Frahm's _Encores 2_: "Sweet Little Lie"
Date: Wed, 11 Nov 2020 11:09:13 +0100
In-Reply-To: <CAG60mrT5QhUcpgHfibt4PpWPANkr=sYWOqBt=9fL8jxHznhT4w@HIDDEN>
 (Ted Lavarias's message of "Tue, 10 Nov 2020 18:45:07 -0600")
Message-ID: <87tutwciie.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Ted Lavarias <ted.lavarias@HIDDEN> writes: > When
 executing
 a similar macro, but instead of C-n, I was using "M-x > forward-line" to
 go to the next line, it only took 8.66 and 8.86 > seconds. `next-line' is
 a more complex function -- it tries to land you approximately at the same
 place horizontally after moving, while `forward-line' doesn't. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44564
Cc: 44564 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ted Lavarias <ted.lavarias@HIDDEN> writes:

> When executing a similar macro, but instead of C-n, I was using "M-x
> forward-line" to go to the next line, it only took 8.66 and 8.86
> seconds.

`next-line' is a more complex function -- it tries to land you
approximately at the same place horizontally after moving, while
`forward-line' doesn't.

So I'm wondering whether the macro part of this bug report is relevant
or not.  Try evaling the following two forms in one of these buffers and
report back the difference:

(benchmark-run 100 (next-line))

(benchmark-run 100 (forward-line))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44564; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Nov 2020 01:05:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 20:05:34 2020
Received: from localhost ([127.0.0.1]:39557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kceZp-0005n3-C6
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 20:05:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:48942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ted.lavarias@HIDDEN>) id 1kceGZ-0005Iv-6r
 for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 19:45:40 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:38280)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ted.lavarias@HIDDEN>)
 id 1kceGY-00045L-Vs
 for bug-gnu-emacs@HIDDEN; Tue, 10 Nov 2020 19:45:39 -0500
Received: from mail-pf1-x42a.google.com ([2607:f8b0:4864:20::42a]:35307)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ted.lavarias@HIDDEN>)
 id 1kceGW-00054R-Kd
 for bug-gnu-emacs@HIDDEN; Tue, 10 Nov 2020 19:45:38 -0500
Received: by mail-pf1-x42a.google.com with SMTP id g7so474267pfc.2
 for <bug-gnu-emacs@HIDDEN>; Tue, 10 Nov 2020 16:45:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=9IO6rSNFi3aEPNyh42yAqFCpq3sPYH0RIQW/qf/h8lg=;
 b=QYQL1jC6EBaCSfqflRfmUR3gAy/2wPSyrjDVb/7ovfp5pHJ9TjHYLgs+qZ5HNFTonp
 4t+Ca9mp7eCl7YlIrJtGz/a7QXA/I00qF924nIaw9QPUTsTfDJzJAE5jOzVa0A3pqNF5
 Dok5tTCOhNAdwUfm5ZxUwRP3kDDDNpNj50Lh7ktnX1jyWitvH120Xcv/U3faOWhNfiwm
 jDMjUBws4+MNgaM5T2HNuR7bfXqwKngGtq0z9M8n0QKoWmcjc3WA2acKTpzsMPQzNrvn
 RSenodwfTC7MTRFIcfSmkARZwY4wpGdnE4o1H90WQvWObsQkhWyb2gkckfK+s7+cssdE
 AFQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=9IO6rSNFi3aEPNyh42yAqFCpq3sPYH0RIQW/qf/h8lg=;
 b=ruHOLlhkCzEytVx9dBboXEz7vLKKehWYF0tQT7JGwklV/4N9xoYAf7BJsU34IyIvo2
 c7QytVCK3K5lADQW9BmwJpV/T5PCssrolszl+6gkd2ezttj59XHBDBJMlX2qeVCb9RJu
 IuY11Cl0kWXGV5mgpPHhTaoCCH3xVWlxf7YGKb2poMrxwKTTDb+eosOfGAimkThVnZzg
 7G0QJ2edWl+TjhzUg1RxBaQ0074DhVqpZyUqk0PD8yHO098lMl8mDCx0YvYg/+bmuq74
 AXbBWlx6bau4AOa0B9dSIBzwZjHG7KVOQRlxUCbjtDgIV6aP7hy+Zar0QnFsOkWD+OpA
 M+mw==
X-Gm-Message-State: AOAM532LqMXp3bzoDqSfbuDPmt0a2ANLqRoHHeQI50HiPVJAJQ4TA3x2
 bk8BGSZsAgsNy/82XA0oUb3WJnvbgN/hRGi5NlzK+tOxpBfQCw==
X-Google-Smtp-Source: ABdhPJzSO/xle7lG0Zy3TCJ0z2oOAKa9SPkYF4OrtbVyoTzEZ8f6rVva5MYcofz46+HjQ5KNyqGMTUheA1Ct4WGG0EY=
X-Received: by 2002:aa7:838b:0:b029:18c:42ad:7721 with SMTP id
 u11-20020aa7838b0000b029018c42ad7721mr7005906pfm.15.1605055533495; Tue, 10
 Nov 2020 16:45:33 -0800 (PST)
MIME-Version: 1.0
From: Ted Lavarias <ted.lavarias@HIDDEN>
Date: Tue, 10 Nov 2020 18:45:07 -0600
Message-ID: <CAG60mrT5QhUcpgHfibt4PpWPANkr=sYWOqBt=9fL8jxHznhT4w@HIDDEN>
Subject: 27.1; C-n in macros causes long delays
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000eb397b05b3ca1c60"
Received-SPF: pass client-ip=2607:f8b0:4864:20::42a;
 envelope-from=ted.lavarias@HIDDEN; helo=mail-pf1-x42a.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLY=1, HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: --text follows this line-- When editing a Python/Django
 models.py
 file for a very large database, I was reformatting the database fields to
 be used elsewhere in the project. So I used a macro to edit 330 lines to
 change the for [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (ted.lavarias[at]gmail.com)
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.0 FREEMAIL_REPLY         From and body contain different freemails
 1.5 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 10 Nov 2020 20:05:32 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000eb397b05b3ca1c60
Content-Type: text/plain; charset="UTF-8"

--text follows this line--

When editing a Python/Django models.py file for a very large database, I
was reformatting the database fields to be used elsewhere in the
project.  So I used a macro to edit 330 lines to change the format from:

    some_database_column_name = models.CharField(max_length=10, etc...)

to the following to be inserted into a Python dictionary:

    'some_database_column_name':

Doing a simple macro of:
F3
M-m ' C-s = C-b C-b ': C-k C-n
F4

and executing it for 329 more iterations takes 31.96 and 29.19 seconds!
When executing a similar macro, but instead of C-n, I was using "M-x
forward-line" to go to the next line, it only took 8.66 and 8.86
seconds.  Another similar macro, but without the C-n and then executing
the macro over the highlighted region with C-x C-k r (for
apply-macro-to-region-lines), it only takes 5.83 and 5.79 seconds!

I have run several tests in emacs over the last several days and have
gotten predictable results.  The above timed tests were always performed
in a "fresh" instance, started with "$ emacs -Q" and I had always
rebooted emacs in between test times to ensure nothing was cached.  I am
only displaying the results of 4 tests above, but I have tested this
SEVERAL times in many different configurations.  I have also tested this on
Emacs 26.1 from the Debian Stable repos and get the exact same results.  I
initially sought out help and tips on reddit, and other users have tried
running the macro on their machines and had similar results.  It was from
other users' input that we discovered that "M-x fo-lin" and "C-x C-k r"
give us macro execution times that are reasonable and comparable to vim
(which only takes 3.26 seconds for the equivalent macro).

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.23,
cairo version 1.16.0)
 of 2020-11-07, modified by Debian built on x86-ubc-01
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --enable-libsystemd
 --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --with-cairo
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs-6jKC2B/emacs-27.1+1=.
-fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD
JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 45099 9140)
 (symbols 48 6002 1)
 (strings 32 15434 2143)
 (string-bytes 1 501833)
 (vectors 16 10078)
 (vector-slots 8 129851 8944)
 (floats 8 19 39)
 (intervals 56 244 0)
 (buffers 1000 11))

--
Very respectfully,

*Ted Lavarias*

*ted.lavarias@HIDDEN <ted.lavarias@HIDDEN>*

--000000000000eb397b05b3ca1c60
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><span style=3D"font-family:monospace">--text follows this =
line--<br><br>When editing a Python/Django models.py file for a very large =
database, I<br>was reformatting the database fields to be used elsewhere in=
 the<br>project.=C2=A0 So I used a macro to edit 330 lines to change the fo=
rmat from:<br><br>=C2=A0 =C2=A0 some_database_column_name =3D models.CharFi=
eld(max_length=3D10, etc...)<br><br>to the following to be inserted into a =
Python dictionary:<br><br>=C2=A0 =C2=A0 &#39;some_database_column_name&#39;=
: <br><br>Doing a simple macro of:<br>F3<br>M-m &#39; C-s =3D C-b C-b &#39;=
: C-k C-n<br>F4<br><br>and executing it for 329 more iterations takes 31.96=
 and 29.19 seconds!<br>When executing a similar macro, but instead of C-n, =
I was using &quot;M-x<br>forward-line&quot; to go to the next line, it only=
 took 8.66 and 8.86<br>seconds.=C2=A0 Another similar macro, but without th=
e C-n and then executing<br>the macro over the highlighted region with C-x =
C-k r (for<br>apply-macro-to-region-lines), it only takes 5.83 and 5.79 sec=
onds!<br><br>I have run several tests in emacs over the last several days a=
nd have<br>gotten predictable results.=C2=A0 The above timed tests were alw=
ays performed<br>in a &quot;fresh&quot; instance, started with &quot;$ emac=
s -Q&quot; and I had always<br>rebooted emacs in between test times to ensu=
re nothing was cached.=C2=A0 I am<br>only displaying the results of 4 tests=
 above, but I have tested this<br>SEVERAL times in many different configura=
tions.=C2=A0 I have also tested this on Emacs 26.1 from the Debian Stable r=
epos and get the exact same results.=C2=A0 I initially sought out help and =
tips on reddit, and other users have tried running the macro on their machi=
nes and had similar results.=C2=A0 It was from other users&#39; input that =
we discovered that &quot;M-x fo-lin&quot; and &quot;C-x C-k r&quot; give us=
 macro execution times that are reasonable and comparable to vim (which onl=
y takes 3.26 seconds for the equivalent macro).<br><br>In GNU Emacs 27.1 (b=
uild 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)<br=
>=C2=A0of 2020-11-07, modified by Debian built on x86-ubc-01<br>Windowing s=
ystem distributor &#39;The X.Org Foundation&#39;, version 11.0.12009000<br>=
System Description: Debian GNU/Linux bullseye/sid<br><br>Recent messages:<b=
r>For information about GNU Emacs and the GNU system, type C-h C-a.<br><br>=
Configured using:<br>=C2=A0&#39;configure --build x86_64-linux-gnu --prefix=
=3D/usr<br>=C2=A0--sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib<br>=C2=
=A0--localstatedir=3D/var/lib --infodir=3D/usr/share/info<br>=C2=A0--mandir=
=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes<br>=C2=A0--enable-lo=
callisppath=3D/etc/emacs:/usr/local/share/emacs/27.1/site-lisp:/usr/local/s=
hare/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/share/emacs/site-=
lisp<br>=C2=A0--with-sound=3Dalsa --without-gconf --with-mailutils --build<=
br>=C2=A0x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib<br>=
=C2=A0--libexecdir=3D/usr/lib --localstatedir=3D/var/lib<br>=C2=A0--infodir=
=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd<br>=C2=A0-=
-with-pop=3Dyes<br>=C2=A0--enable-locallisppath=3D/etc/emacs:/usr/local/sha=
re/emacs/27.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/2=
7.1/site-lisp:/usr/share/emacs/site-lisp<br>=C2=A0--with-sound=3Dalsa --wit=
hout-gconf --with-mailutils --with-cairo<br>=C2=A0--with-x=3Dyes --with-x-t=
oolkit=3Dgtk3 --with-toolkit-scroll-bars<br>=C2=A0&#39;CFLAGS=3D-g -O2<br>=
=C2=A0-fdebug-prefix-map=3D/build/emacs-6jKC2B/emacs-27.1+1=3D. -fstack-pro=
tector-strong<br>=C2=A0-Wformat -Werror=3Dformat-security -Wall&#39; &#39;C=
PPFLAGS=3D-Wdate-time<br>=C2=A0-D_FORTIFY_SOURCE=3D2&#39; LDFLAGS=3D-Wl,-z,=
relro&#39;<br><br>Configured features:<br>XPM JPEG TIFF GIF PNG RSVG CAIRO =
SOUND GPM DBUS GSETTINGS GLIB NOTIFY<br>INOTIFY ACL LIBSELINUX GNUTLS LIBXM=
L2 FREETYPE HARFBUZZ M17N_FLT LIBOTF<br>ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 X=
DBE XIM MODULES THREADS LIBSYSTEMD<br>JSON PDUMPER LCMS2 GMP<br><br>Importa=
nt settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 value of $XMOD=
IFIERS: @im=3Dibus<br>=C2=A0 locale-coding-system: utf-8-unix<br><br>Major =
mode: Lisp Interaction<br><br>Minor modes in effect:<br>=C2=A0 tooltip-mode=
: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 electr=
ic-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<=
br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 glo=
bal-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mo=
de: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<=
br>=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 =
transient-mark-mode: t<br><br>Load-path shadows:<br>None found.<br><br>Feat=
ures:<br>(shadow sort mail-extr emacsbug message rmc puny dired dired-loadd=
efs<br>format-spec rfc822 mml easymenu mml-sec password-cache epa derived e=
pg<br>epg-config gnus-util rmail rmail-loaddefs text-property-search time-d=
ate<br>subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodi=
es<br>mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loadd=
efs<br>cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-u=
tils<br>tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type=
<br>mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset imag=
e<br>regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mo=
de<br>lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearc=
h<br>timer select scroll-bar mouse jit-lock font-lock syntax facemenu<br>fo=
nt-core term/tty-colors frame minibuffer cl-generic cham georgian<br>utf-8-=
lang misc-lang vietnamese tibetan thai tai-viet lao korean<br>japanese eucj=
p-ms cp51932 hebrew greek romanian slovak czech european<br>ethiopic indian=
 cyrillic chinese composite charscript charprop<br>case-table epa-hook jka-=
cmpr-hook help simple abbrev obarray<br>cl-preloaded nadvice loaddefs butto=
n faces cus-face macroexp files<br>text-properties overlay sha1 md5 base64 =
format env code-pages mule<br>custom widget hashtable-print-readable backqu=
ote threads dbusbind<br>inotify lcms2 dynamic-setting system-font-setting f=
ont-render-setting<br>cairo move-toolbar gtk x-toolkit x multi-tty make-net=
work-process emacs)<br><br>Memory information:<br>((conses 16 45099 9140)<b=
r>=C2=A0(symbols 48 6002 1)<br>=C2=A0(strings 32 15434 2143)<br>=C2=A0(stri=
ng-bytes 1 501833)<br>=C2=A0(vectors 16 10078)<br>=C2=A0(vector-slots 8 129=
851 8944)<br>=C2=A0(floats 8 19 39)<br>=C2=A0(intervals 56 244 0)<br>=C2=A0=
(buffers 1000 11))</span><br><div><div dir=3D"ltr" class=3D"gmail_signature=
" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"><div><div dir=3D"ltr"=
><div><div dir=3D"ltr"><div><div dir=3D"ltr"><div><div dir=3D"ltr"><div><br=
>--<br>Very respectfully,<div><br></div><div><b>Ted Lavarias</b><br><b><a h=
ref=3D"mailto:ted.lavarias@HIDDEN" target=3D"_blank">ted.lavarias@gmail.=
com</a><br></b><br></div></div></div></div></div></div></div></div></div></=
div></div></div></div></div>

--000000000000eb397b05b3ca1c60--




Acknowledgement sent to Ted Lavarias <ted.lavarias@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44564; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 11 Nov 2020 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.